package  org.ts.ddcs.dataprocesser;

import org.ts.ddcs.dataStream.DataStreamAdapter;
import org.ts.ddcs.datatemplate.DataTemplateInterface;


/**
 * 数据解析器接口 ，接收报文数据包，所有数据解析器都需要实现此接口
 *
 * @author dylan
 */

public interface DataProcesserInterface {

    public void packetReadly(byte[] byteBuff, int pos, int length, DataStreamAdapter dataStreamAdapter, DataTemplateInterface template);

    public abstract String getName();

    public abstract void setName(String name);
}
